[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

Could not OpenPGP verify authenticity of Whonix News

After running whonix check, I observed the following warning. Please let me know what went wrong.
Thank you.

"ERROR: Whonix News Download Result:
Could not OpenPGP verify authenticity of Whonix News whonix_news.tar.xz!!!
(gpg exit code: 2 | validsig: false)
This is either,

  • a Whonix Bug,
  • an attack on Whonix,
  • or Whonix News Keys might be outdated. Upgrading using apt-get might fix this. "

Edit by Patrick:
Changed title.

Does this persist?

I’m on Whonix 9, getting the same error, and it persists.

Nothing too bad happening here. Apparently a sourceforge mirror is serving some pre-download page that asks if cookies are okay rather than the signature file. At first I could not reproduce it, because it does not happen for all sourceforge mirrors.

Same thing here

Seeing this again today. It occurs each time I run whonixcheck.

Message reads:
ERROR: Whonix News Download Result:
Could not OpenPGP verify authenticity of Whonix News whonix_news.tar.xz!!!
(gpg exit code: 2 | validsig: false)
This is either,

  • a Whonix Bug,
  • an attack on Whonix,
  • or Whonix News Keys might be outdated. Upgrading using apt-get might fix this.

All apt-get packages are up to date, so I will check again tomorrow to see if issue is still happening.

Got a solution in the wings, but not implemented yet.
https://phabricator.whonix.org/T54

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]